File
Download a file
GET
merchantApiKeymerchantTimestampmerchantNoncemerchantSignatureheader
X-API-KEY<token>Merchant API key (starts with upk_, also accepts api-key); signing headers are also required
header
X-Timestamp<token>Unix timestamp in seconds, within 300 seconds of server time
header
X-Nonce<token>Unique per request; cannot be reused with the same credential during the timestamp validity window
header
X-Signature<token>Hex HMAC-SHA256 signature (either letter case) of the method, full path, timestamp, nonce and body digest
fileId*stringFile content; Content-Type is the file type and Content-Disposition carries the original file name
response?fileFormat
binarycurl -X GET 'https://sandbox.getupp.net/api/v1/upload/string/content'Example Response
"string"